#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    char *mode=argv[1];
    char *inname=argv[2];
    char *outname=argv[3];
    FILE *infp,*outfp;


    if (argc < 4) {
	fprintf(stderr,"too few arguments\n");
	fprintf(stderr,"usage: fixpatch <p|r> <infile> <outfile>\n");
	exit(1);
    }
  
    infp=fopen(inname,"rb");
    if (!infp) {
	fprintf(stderr,"couldn't open infile\n");
	exit(1);
    }
    outfp=fopen(outname,"wb");
    if (!outfp) {
	fprintf(stderr,"couldn't open outfile\n");
	exit(1);
    }

    if (mode[0]=='p') {
	fseek(infp,8,SEEK_SET);
    }

    int c,d;
    while ((c=fgetc(infp)) != EOF) {
	d=c^0xaa;
	fputc(d,outfp);
    }

    fclose(infp);
    fclose(outfp);
    exit(0);
};

/* eof */
